org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration

## Interface TableconfigurationPackage

    public interface TableconfigurationPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `TableconfigurationFactory`
Generated:
Model:
  kind="package"
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Nested Class Summary

Nested Classes
`static interface` `TableconfigurationPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static TableconfigurationPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `INSTANTIATION_METHOD` The meta object id for the '`Instantiation Method`' class.
`static int` `INSTANTIATION_METHOD__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `INSTANTIATION_METHOD__INSTANTIATION_OPERATION` The feature id for the 'Instantiation Operation' reference.
`static int` `INSTANTIATION_METHOD__NAME` The feature id for the 'Name' attribute.
`static int` `INSTANTIATION_METHOD_FEATURE_COUNT` The number of structural features of the 'Instantiation Method' class.
`static int` `TABLE_CONFIGURATION` The meta object id for the '`Table Configuration`' class.
`static int` `TABLE_CONFIGURATION__CAN_BE_PRESENTED_IN_THE_TABLE` The feature id for the 'Can Be Presented In The Table' reference.
`static int` `TABLE_CONFIGURATION__DEFAULT_COLUMNS` The feature id for the 'Default Columns' reference list.
`static int` `TABLE_CONFIGURATION__DEFAULT_CUSTOMIZATIONS` The feature id for the 'Default Customizations' reference list.
`static int` `TABLE_CONFIGURATION__DEFAULT_FACETS` The feature id for the 'Default Facets' reference list.
`static int` `TABLE_CONFIGURATION__DEFAULT_LOCAL_CUSTOMIZATIONS` The feature id for the 'Default Local Customizations' reference list.
`static int` `TABLE_CONFIGURATION__FORCED_CELL_EDITORS` The feature id for the 'Forced Cell Editors' reference list.
`static int` `TABLE_CONFIGURATION__INSTANTIATION_METHOD` The feature id for the 'Instantiation Method' containment reference list.
`static int` `TABLE_CONFIGURATION_FEATURE_COUNT` The number of structural features of the 'Table Configuration' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`EAttribute` `getInstantiationMethod_Description()` Returns the meta object for the attribute '`Description`'.
`EReference` `getInstantiationMethod_InstantiationOperation()` Returns the meta object for the reference '`Instantiation Operation`'.
`EAttribute` `getInstantiationMethod_Name()` Returns the meta object for the attribute '`Name`'.
`EClass` `getInstantiationMethod()` Returns the meta object for class '`Instantiation Method`'.
`EReference` `getTableConfiguration_CanBePresentedInTheTable()` Returns the meta object for the reference '`Can Be Presented In The Table`'.
`EReference` `getTableConfiguration_DefaultColumns()` Returns the meta object for the reference list '`Default Columns`'.
`EReference` `getTableConfiguration_DefaultCustomizations()` Returns the meta object for the reference list '`Default Customizations`'.
`EReference` `getTableConfiguration_DefaultFacets()` Returns the meta object for the reference list '`Default Facets`'.
`EReference` `getTableConfiguration_DefaultLocalCustomizations()` Returns the meta object for the reference list '`Default Local Customizations`'.
`EReference` `getTableConfiguration_ForcedCellEditors()` Returns the meta object for the reference list '`Forced Cell Editors`'.
`EReference` `getTableConfiguration_InstantiationMethod()` Returns the meta object for the containment reference list '`Instantiation Method`'.
`EClass` `getTableConfiguration()` Returns the meta object for class '`Table Configuration`'.
`TableconfigurationFactory` `getTableconfigurationFactory()` Returns the factory that creates the instances of the model.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final TableconfigurationPackage eINSTANCE

The singleton instance of the package.

Generated:

#### TABLE_CONFIGURATION

    static final int TABLE_CONFIGURATION

The meta object id for the '`Table Configuration`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration.impl.TableConfigurationImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration.impl.TableconfigurationPackageImpl#getTableConfiguration()`, Constant Field Values
Generated:

#### TABLE_CONFIGURATION__DEFAULT_LOCAL_CUSTOMIZATIONS

    static final int TABLE_CONFIGURATION__DEFAULT_LOCAL_CUSTOMIZATIONS

The feature id for the 'Default Local Customizations' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE_CONFIGURATION__CAN_BE_PRESENTED_IN_THE_TABLE

    static final int TABLE_CONFIGURATION__CAN_BE_PRESENTED_IN_THE_TABLE

The feature id for the 'Can Be Presented In The Table' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE_CONFIGURATION__FORCED_CELL_EDITORS

    static final int TABLE_CONFIGURATION__FORCED_CELL_EDITORS

The feature id for the 'Forced Cell Editors' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE_CONFIGURATION__DEFAULT_FACETS

    static final int TABLE_CONFIGURATION__DEFAULT_FACETS

The feature id for the 'Default Facets' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE_CONFIGURATION__DEFAULT_CUSTOMIZATIONS

    static final int TABLE_CONFIGURATION__DEFAULT_CUSTOMIZATIONS

The feature id for the 'Default Customizations' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE_CONFIGURATION__INSTANTIATION_METHOD

    static final int TABLE_CONFIGURATION__INSTANTIATION_METHOD

The feature id for the 'Instantiation Method' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE_CONFIGURATION__DEFAULT_COLUMNS

    static final int TABLE_CONFIGURATION__DEFAULT_COLUMNS

The feature id for the 'Default Columns' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE_CONFIGURATION_FEATURE_COUNT

    static final int TABLE_CONFIGURATION_FEATURE_COUNT

The number of structural features of the 'Table Configuration' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### INSTANTIATION_METHOD

    static final int INSTANTIATION_METHOD

The meta object id for the '`Instantiation Method`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration.impl.InstantiationMethodImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration.impl.TableconfigurationPackageImpl#getInstantiationMethod()`, Constant Field Values
Generated:

#### INSTANTIATION_METHOD__NAME

    static final int INSTANTIATION_METHOD__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### INSTANTIATION_METHOD__DESCRIPTION

    static final int INSTANTIATION_METHOD__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### INSTANTIATION_METHOD__INSTANTIATION_OPERATION

    static final int INSTANTIATION_METHOD__INSTANTIATION_OPERATION

The feature id for the 'Instantiation Operation' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### INSTANTIATION_METHOD_FEATURE_COUNT

    static final int INSTANTIATION_METHOD_FEATURE_COUNT

The number of structural features of the 'Instantiation Method' class.

See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getTableConfiguration

    EClass getTableConfiguration()

Returns the meta object for class '`Table Configuration`'.

Returns:
  the meta object for class 'Table Configuration'.
See Also:
  `TableConfiguration`
Generated:

#### getTableConfiguration_DefaultLocalCustomizations

    EReference getTableConfiguration_DefaultLocalCustomizations()

Returns the meta object for the reference list '`Default Local Customizations`'.

Returns:
  the meta object for the reference list 'Default Local Customizations'.
See Also:
  `TableConfiguration.getDefaultLocalCustomizations()`, `getTableConfiguration()`
Generated:

#### getTableConfiguration_CanBePresentedInTheTable

    EReference getTableConfiguration_CanBePresentedInTheTable()

Returns the meta object for the reference '`Can Be Presented In The Table`'.

Returns:
  the meta object for the reference 'Can Be Presented In The Table'.
See Also:
  `TableConfiguration.getCanBePresentedInTheTable()`, `getTableConfiguration()`
Generated:

#### getTableConfiguration_ForcedCellEditors

    EReference getTableConfiguration_ForcedCellEditors()

Returns the meta object for the reference list '`Forced Cell Editors`'.

Returns:
  the meta object for the reference list 'Forced Cell Editors'.
See Also:
  `TableConfiguration.getForcedCellEditors()`, `getTableConfiguration()`
Generated:

#### getTableConfiguration_DefaultFacets

    EReference getTableConfiguration_DefaultFacets()

Returns the meta object for the reference list '`Default Facets`'.

Returns:
  the meta object for the reference list 'Default Facets'.
See Also:
  `TableConfiguration.getDefaultFacets()`, `getTableConfiguration()`
Generated:

#### getTableConfiguration_DefaultCustomizations

    EReference getTableConfiguration_DefaultCustomizations()

Returns the meta object for the reference list '`Default Customizations`'.

Returns:
  the meta object for the reference list 'Default Customizations'.
See Also:
  `TableConfiguration.getDefaultCustomizations()`, `getTableConfiguration()`
Generated:

#### getTableConfiguration_InstantiationMethod

    EReference getTableConfiguration_InstantiationMethod()

Returns the meta object for the containment reference list '`Instantiation Method`'.

Returns:
  the meta object for the containment reference list 'Instantiation Method'.
See Also:
  `TableConfiguration.getInstantiationMethod()`, `getTableConfiguration()`
Generated:

#### getTableConfiguration_DefaultColumns

    EReference getTableConfiguration_DefaultColumns()

Returns the meta object for the reference list '`Default Columns`'.

Returns:
  the meta object for the reference list 'Default Columns'.
See Also:
  `TableConfiguration.getDefaultColumns()`, `getTableConfiguration()`
Generated:

#### getInstantiationMethod

    EClass getInstantiationMethod()

Returns the meta object for class '`Instantiation Method`'.

Returns:
  the meta object for class 'Instantiation Method'.
See Also:
  `InstantiationMethod`
Generated:

#### getInstantiationMethod_Name

    EAttribute getInstantiationMethod_Name()

Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `InstantiationMethod.getName()`, `getInstantiationMethod()`
Generated:

#### getInstantiationMethod_Description

    EAttribute getInstantiationMethod_Description()

Returns the meta object for the attribute '`Description`'.

Returns:
  the meta object for the attribute 'Description'.
See Also:
  `InstantiationMethod.getDescription()`, `getInstantiationMethod()`
Generated:

#### getInstantiationMethod_InstantiationOperation

    EReference getInstantiationMethod_InstantiationOperation()

Returns the meta object for the reference '`Instantiation Operation`'.

Returns:
  the meta object for the reference 'Instantiation Operation'.
See Also:
  `InstantiationMethod.getInstantiationOperation()`, `getInstantiationMethod()`
Generated:

#### getTableconfigurationFactory

    TableconfigurationFactory getTableconfigurationFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: